directory-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Pierre-Arnaud Marcelot" ...@marcelot.net>
Subject Re: [Studio] Maven Build - New jars to deploy on Studio's Maven repository
Date Tue, 15 Jan 2008 11:19:19 GMT
On Jan 15, 2008 12:09 PM, Felix Knecht <felixk@apache.org> wrote:

> 3°/ We can remove the sha and md5 checksum files from the repository,
> but this works only if eclipse doesn't has any internal checksums.


Unfortunaltely, the SHA1  checksum we are talking about is inside the jar...
In the manifest and other files...


> Are you sure that the structure of the plugin.xml hasn't changed for the
> new versions?


I checked rapidly but it seems to be quite the same as before (3.2.x).
But, looking at the logs, we can clearly say that the problem comes from the
jar signature.
Here's the log:

> !ENTRY org.eclipse.update.configurator 2008-01-15 12:17:37.693
> !MESSAGE Plugin does not have a valid identifier:
> plugins/org.eclipse.search_3.3.1.r331_v20070831_0800.jar
>
> !ENTRY org.eclipse.update.configurator 2008-01-15 12:17:37.694
> !MESSAGE Plugin does not have a valid version:
> plugins/org.eclipse.search_3.3.1.r331_v20070831_0800.jar
>
> !ENTRY org.eclipse.update.configurator 2008-01-15 12:17:37.703
> !MESSAGE Plugin does not have a valid identifier:
> plugins/org.eclipse.ui.editors_3.3.1.r331_v20070629.jar
>
> !ENTRY org.eclipse.update.configurator 2008-01-15 12:17:37.704
> !MESSAGE Plugin does not have a valid version:
> plugins/org.eclipse.ui.editors_3.3.1.r331_v20070629.jar
>
> !ENTRY org.eclipse.update.configurator 2008-01-15 12:17:37.712
> !MESSAGE Plugin does not have a valid identifier:
> plugins/org.eclipse.ui.ide_3.3.1.M20070910_0800b.jar
>
> !ENTRY org.eclipse.update.configurator 2008-01-15 12:17:37.712
> !MESSAGE Plugin does not have a valid version:
> plugins/org.eclipse.ui.ide_3.3.1.M20070910_0800b.jar
>
> !ENTRY org.eclipse.update.configurator 2008-01-15 12:17:38.011
> !MESSAGE Could not install bundle
> plugins/org.eclipse.search_3.3.1.r331_v20070831_0800.jar   Invalid signature
> file digest for Manifest main attributes
>
> !ENTRY org.eclipse.update.configurator 2008-01-15 12:17:38.032
> !MESSAGE Could not install bundle
> plugins/org.eclipse.ui.editors_3.3.1.r331_v20070629.jar   Invalid signature
> file digest for Manifest main attributes
>
> !ENTRY org.eclipse.update.configurator 2008-01-15 12:17:38.081
> !MESSAGE Could not install bundle
> plugins/org.eclipse.ui.ide_3.3.1.M20070910_0800b.jar   Invalid signature
> file digest for Manifest main attributes


Regards,
Pierre-Arnaud

Mime
View raw message